import { jsx } from "react/jsx-runtime";
import { Bomb as Bomb$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Bomb = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Bomb", ...props, children: /* @__PURE__ */ jsx(Bomb$1, { weight: variant }) });
  }
);
Bomb.displayName = "Bomb";
Object.assign(Bomb, { isGdsIcon: true });
export {
  Bomb
};
